/**
 * @fileoverview Runs in an iframe, unzips the main tts bindings wasm binary,
 * and passes the uncompressed data to the parent frame.
 */
let bindingsLoader = document.createElement('script');
bindingsLoader.src = 'bindings_main_loader.js';
document.body.appendChild(bindingsLoader);

let xzLoader = document.createElement('script');
xzLoader.src = 'xz_reader_main.js';
/** Called when loader finishes. */
xzLoader.onload = () => {
  Module.onRuntimeInitialized = () => {
    setTimeout(() => {
      let inputPath = allocate(
          intArrayFromString('bindings_main.wasm.xz'), 'i8', ALLOC_NORMAL);
      let lenPtr = _malloc(4);  // int32.
      let bindingsWasmBinaryPtr = Module._XzReaderDecompress(inputPath, lenPtr);
      let len = (new Int32Array(Module.HEAP32.buffer, lenPtr, 1))[0];
      let bindingsWasmBinary =
          new Uint8Array(Module.HEAPU8.buffer, bindingsWasmBinaryPtr, len);
      window.parent.saveAndLoadBindings(bindingsWasmBinary);
    });
  };
};
document.body.appendChild(xzLoader);
